<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.smartapplication.carenterrecord.mapper.CarEnterRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="carEnterRecordResultMap" type="org.springblade.smartapplication.carenterrecord.entity.CarEnterRecord">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="index_id" property="indexId"/>
        <result column="park_key" property="parkKey"/>
        <result column="car_no" property="carNo"/>
        <result column="order_no" property="orderNo"/>
        <result column="reserve_order_no" property="reserveOrderNo"/>
        <result column="car_type_no" property="carTypeNo"/>
        <result column="enter_time" property="enterTime"/>
        <result column="enter_gate_name" property="enterGateName"/>
        <result column="enter_operator_name" property="enterOperatorName"/>
        <result column="lock_car" property="lockCar"/>
        <result column="enter_img_path" property="enterImgPath"/>
        <result column="tenant_id" property="tenantId"/>

        <result column="agency_id" property="agencyId"/>
        <result column="residential_id" property="residentialId"/>
        <result column="enterprise_id" property="enterpriseId"/>
        <result column="org_position" property="orgPosition"/>
    </resultMap>


    <select id="selectCarEnterRecordPage" resultMap="carEnterRecordResultMap">
        select * from yc_car_enter_record where is_deleted = 0
    </select>

</mapper>
